## 1.3.1.tar.gz

=== debian/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

execute_process(COMMAND env LC_ALL=C date "+%a, %-d %b %Y %H:%M:%S %z"
                OUTPUT_VARIABLE DEB_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)

set(DEB_REWRITE_RULES ON CACHE BOOL "Rewrite the debian rules file from rules.in")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/changelog.in
               ${CMAKE_CURRENT_SOURCE_DIR}/changelog)

if(DEB_REWRITE_RULES)
  configure_file(  ${CMAKE_CURRENT_SOURCE_DIR}/rules.in
                   ${CMAKE_CURRENT_BINARY_DIR}/rules.tmp/rules @ONLY)
  file(REMOVE      ${CMAKE_CURRENT_SOURCE_DIR}/rules)
  file(COPY        ${CMAKE_CURRENT_BINARY_DIR}/rules.tmp/rules
       DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/
       FILE_PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
                        GROUP_EXECUTE GROUP_READ)
endif(DEB_REWRITE_RULES)

=== 3rdparty/libprojectm/CMakeLists.txt ===
PROJECT(projectM)
cmake_minimum_required(VERSION 2.6.0)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The projectM core library.")

include(CheckCXXCompilerFlag)

cmake_policy(SET CMP0005 OLD)

# This policy was only added in cmake 2.8.4
if (CMAKE_VERSION VERSION_GREATER "2.8.3")
  cmake_policy(SET CMP0017 OLD)
endif (CMAKE_VERSION VERSION_GREATER "2.8.3")


set(USE_DEVIL OFF)
set(USE_FBO ON)
set(USE_FTGL OFF)
set(USE_GLES1 OFF)
set(USE_THREADS OFF)
set(USE_OPENMP ON)
set(USE_NATIVE_GLEW OFF)
set(USE_CG OFF)
set(BUILD_PROJECTM_STATIC ON)
set(DISABLE_NATIVE_PRESETS ON)
set(DISABLE_MILKDROP_PRESETS OFF)

if(DISABLE_NATIVE_PRESETS)
  ADD_DEFINITIONS(-DDISABLE_NATIVE_PRESETS)
endif(DISABLE_NATIVE_PRESETS)

ADD_DEFINITIONS(-DCMAKE_INSTALL_PREFIX="\\\"${CMAKE_INSTALL_PREFIX}\\\"")

if (USE_NATIVE_GLEW)
  ADD_DEFINITIONS(-DUSE_NATIVE_GLEW)
  SET(GLEW_SOURCES glew.h glew.c)
  SET(GLEW_LIBRARIES )
else(USE_NATIVE_GLEW)
  SET(GLEW_SOURCES )
  find_library(GLEW_LIBRARIES NAMES glew GLEW glew32)
  find_path(GLEW_INCLUDE_DIRS GL/glew.h HINTS /sw/include)
  include_directories(${GLEW_INCLUDE_DIRS})
endif(USE_NATIVE_GLEW)

SET(projectM_SOURCES projectM.cpp PCM.cpp Preset.cpp fftsg.cpp KeyHandler.cpp
timer.cpp wipemalloc.cpp PresetLoader.cpp  PresetChooser.cpp PipelineMerger.cpp ConfigFile.cpp  TimeKeeper.cpp PresetFactory.cpp PresetFactoryManager.cpp ${GLEW_SOURCES})

if (MSVC)
SET(projectM_SOURCES ${projectM_SOURCES} dlfcn.c win32-dirent.cpp)
endif(MSVC)

if (NOT DISABLE_NATIVE_PRESETS)
add_subdirectory(NativePresetFactory)
SET(PRESET_FACTORY_SOURCES ${PRESET_FACTORY_SOURCES} ${NativePresetFactory_SOURCE_DIR})
SET(PRESET_FACTORY_BINARY_DIR ${PRESET_FACTORY_BINARY_DIR} ${NativePresetFactory_BINARY_DIR})
SET(PRESET_FACTORY_LINK_TARGETS ${PRESET_FACTORY_LINK_TARGETS} NativePresetFactory)
endif(NOT DISABLE_NATIVE_PRESETS)

if (NOT DISABLE_MILKDROP_PRESETS)
add_subdirectory(MilkdropPresetFactory)
SET(PRESET_FACTORY_SOURCES ${PRESET_FACTORY_SOURCES} ${MilkdropPresetFactory_SOURCE_DIR})
SET(PRESET_FACTORY_BINARY_DIR ${PRESET_FACTORY_BINARY_DIR} ${MilkdropPrmaesetFactory_BINARY_DIR})
SET(PRESET_FACTORY_LINK_TARGETS ${PRESET_FACTORY_LINK_TARGETS} MilkdropPresetFactory)
endif(NOT DISABLE_MILKDROP_PRESETS)

if (USE_DEVIL)
SET (projectM_SOURCES ${projectM_SOURCES})
ADD_DEFINITIONS(-DUSE_DEVIL)
SET (IMAGE_LINK_TARGETS IL ILU ILUT)
else (USE_DEVIL)
SET (projectM_SOURCES ${projectM_SOURCES})
SET (IMAGE_LINK_TARGETS )
endif (USE_DEVIL)

if (USE_CG)
ADD_DEFINITIONS(-DUSE_CG)
SET (CG_LINK_TARGETS Cg CgGL)
else (USE_CG)
SET (CG_LINK_TARGETS)
endif(USE_CG)


if(USE_GLES1)
ADD_DEFINITIONS(-DUSE_GLES1)
endif(USE_GLES1)

if(USE_FBO)
ADD_DEFINITIONS(-DUSE_FBO)
endif(USE_FBO)

if(USE_FTGL)
  ADD_DEFINITIONS(-DUSE_FTGL)

  pkg_check_modules(FREETYPE2 freetype2)
  pkg_check_modules(FTGL ftgl)
  include_directories( ${FREETYPE2_INCLUDE_DIRS} )
endif(USE_FTGL)


if(COMMAND cmake_policy)
       cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

if (BUILD_PROJECTM_STATIC)
ADD_LIBRARY(projectM STATIC ${projectM_SOURCES})
else(BUILD_PROJECTM_STATIC)
ADD_LIBRARY(projectM SHARED ${projectM_SOURCES})
endif(BUILD_PROJECTM_STATIC)

SET_TARGET_PROPERTIES(projectM PROPERTIES VERSION 2.00 SOVERSION 2)
set_target_properties(projectM PROPERTIES COMPILE_FLAGS "-Wno-unused-value")

if (USE_THREADS)
ADD_DEFINITIONS(-DUSE_THREADS)
endif(USE_THREADS)

if (APPLE)
ADD_DEFINITIONS(-DMACOS -DSTBI_NO_DDS)
set(RESOURCE_PREFIX "Resources")
else (APPLE)
if (WIN32)
set (RESOURCE_PREFIX "Resources")
ADD_DEFINITIONS(-DWIN32 -DSTBI_NO_DDS)
else(WIN32)
set (RESOURCE_PREFIX "share/projectM")
ADD_DEFINITIONS(-DLINUX -DSTBI_NO_DDS)
endif(WIN32)
endif(APPLE)

add_subdirectory(Renderer)

#ADD_DEFINITIONS(-DCMAKE_INSTALL_PREFIX="\\\"${CMAKE_INSTALL_PREFIX}\\\"") 

FIND_PACKAGE(X11)
FIND_PACKAGE(OpenGL)


#set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH};/opt/local/include;/Developer/SDKs/MACOSX10.5.sdk/usr/X11/include)
#set(CMAKE_LIBRARY_PATH /opt/local/lib;/Developer/SDKs/MACOSX10.5.sdk;/Developer/SDKs/MacOSX10.5.sdk/usr/X11/lib/)

CHECK_CXX_COMPILER_FLAG("-fopenmp" SUPPORTS_OPENMP)

IF(USE_OPENMP AND SUPPORTS_OPENMP)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp ")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp ")
ENDIF(USE_OPENMP AND SUPPORTS_OPENMP)

INCLUDE_DIRECTORIES(${projectM_SOURCE_DIR} ${FTGL_INCLUDE_DIRS} ${X11_INCLUDE_DIR} ${Renderer_SOURCE_DIR} ${PRESET_FACTORY_SOURCES})
LINK_DIRECTORIES(${FTGL_LIBRARY_DIRS} ${Renderer_BINARY_DIR} ${PRESET_FACTORY_BINARY_DIR})

if(MSVC)
	SET (MATH_LIBRARIES )
else(MSVC)
	SET (MATH_LIBRARIES m)
endif(MSVC)

if(BUILD_PROJECTM_STATIC)
    TARGET_LINK_LIBRARIES(projectM ${GLEW_LIBRARIES} ${MATH_LIBRARIES} ${FTGL_LIBRARIES} ${OPENGL_LIBRARIES} ${IMAGE_LINK_TARGETS} ${CG_LINK_TARGETS} ${PRESET_FACTORY_LINK_TARGETS})
else(BUILD_PROJECTM_STATIC)
  TARGET_LINK_LIBRARIES(projectM ${GLEW_LIBRARIES} ${MATH_LIBRARIES} ${FTGL_LIBRARIES} ${OPENGL_LIBRARIES}  ${IMAGE_LINK_TARGETS} ${CG_LINK_TARGETS} ${PRESET_FACTORY_LINK_TARGETS})
endif(BUILD_PROJECTM_STATIC)


CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/libprojectM.pc.in" "${CMAKE_CURRENT_SOURCE_DIR}/libprojectM.pc" @ONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/config.inp.in" "${CMAKE_CURRENT_SOURCE_DIR}/config.inp" @ONLY)

if(BUNDLE_PROJECTM_PRESETS)
  FILE(GLOB presets "presets/*.milk" "presets/*.prjm" "presets/*.tga")
  if (APPLE)
    foreach (preset ${presets})
      get_filename_component(PRESET_NAME ${preset} NAME)
      configure_file(
        "${preset}"
        "${CMAKE_BINARY_DIR}/clementine.app/Contents/Resources/projectm-presets/${PRESET_NAME}"
        COPY_ONLY
      )
    endforeach (preset)
  else (APPLE)
    INSTALL(FILES ${presets} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/clementine/projectm-presets)
  endif (APPLE)
endif(BUNDLE_PROJECTM_PRESETS)

=== 3rdparty/tinysvcmdns/CMakeLists.txt ===
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
add_definitions(-D_GNU_SOURCE)

set(TINYSVCMDNS-SOURCES
  mdns.c
  mdnsd.c
)

find_library(PTHREAD
  pthreadGC2
)

add_library(tinysvcmdns STATIC
  ${TINYSVCMDNS-SOURCES}
)

target_link_libraries(tinysvcmdns
  ${PTHREAD}
  ws2_32
)

=== 3rdparty/vreen/vreen/src/CMakeLists.txt ===
if(NOT VREEN_INSTALL_HEADERS)
    set(INTERNAL_FLAG "INTERNAL")
endif()
if(VREEN_DEVELOPER_BUILD)
	set(DEVELOPER_FLAG "DEVELOPER")
endif()

add_subdirectory(3rdparty)
add_subdirectory(api)

=== 3rdparty/vreen/vreen/src/api/CMakeLists.txt ===
add_simple_library(vreen
    STATIC CXX11
    ${INTERNAL_FLAG}
    ${DEVELOPER_FLAG}
    DEFINE_SYMBOL VK_LIBRARY
    DEFINES "K8JSON_INCLUDE_GENERATOR;K8JSON_INCLUDE_COMPLEX_GENERATOR"
    VERSION ${CMAKE_VREEN_VERSION_STRING}
    SOVERSION ${CMAKE_VREEN_VERSION_MAJOR}
    LIBRARIES ${K8JSON_LIBRARIES}
    INCLUDES ${K8JSON_INCLUDE_DIRS}
    INCLUDE_DIR vreen
    PKGCONFIG_TEMPLATE vreen.pc.cmake
    QT Core Network Gui
)

=== debian/control ===
Source: clementine
Section: sound
Priority: optional
Maintainer: David Sansome <me@davidsansome.com>
Build-Depends: debhelper (>= 7),
               liblastfm-dev,
               libtag1-dev,
               libboost1.38-dev |
               libboost1.40-dev |
               libboost1.42-dev |
               libboost-dev,
               libboost-serialization1.38-dev |
               libboost-serialization1.40-dev |
               libboost-serialization1.42-dev |
               libboost-serialization-dev,
               libcdio-cdda1,
               libchromaprint-dev,
               libcrypto++-dev,
               libechonest-dev,
               libglew1.5-dev |
               libglew-dev,
               libqt4-dev,
               qt4-dev-tools,
               libqt4-opengl-dev,
               cmake,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgpod-dev,
               libplist-dev,
               libusbmuxd-dev,
               libmtp-dev,
               libqjson-dev,
               protobuf-compiler,
               libprotobuf-dev,
               libfftw3-dev,
               libsparsehash-dev,
               libsqlite3-dev,
               libpulse-dev,
               libmygpo-qt-dev (>= 1.0.7)
Standards-Version: 3.8.1
Homepage: http://www.clementine-player.org/

Package: clementine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libsqlite3-0,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         gstreamer1.0-pulseaudio,
         libprojectm-data | projectm-data
Description: Modern music player and library organiser inspired by Amarok 1.4
 Clementine focuses on a fast and easy-to-use interface for searching and
 playing your music.
 .
 Features include:
   * Search and play your local music library
   * Listen to internet radio from Last.fm, SomaFM, Magnatune, Jamendo and
     Icecast
   * Create smart playlists and dynamic playlists
   * Tabbed playlists, import and export M3U, XSPF, PLS, ASX and CUE
   * Visualisations from projectM
   * Lyrics and artist biographies and photos
   * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
   * Edit tags on MP3 and OGG files, organise your music
   * Download missing album cover art from Last.fm
   * Cross-platform - works on Windows, Mac OS X and Linux
   * Native desktop notifications on Linux (libnotify) and Mac OS X (Growl)
   * Remote control using a Wii Remote, MPRIS or the command-line
   * Copy music to your iPod, iPhone, MTP or mass-storage USB player
   * Queue manager
